/*****************************************************************************
* FILENAME
*   main_polling.c
*
* DESCRIPTION
*   Initializes DSK, McBSP0, McBSP1, and aic23 codec for polling mode
*
*   V1.0  Oct.02, 2005,  C.Feldbauer <feldbauer@tugraz.at>
*
*****************************************************************************/


#define CHIP_6713 1   // needed for Chip Support Library
#include <csl.h>      // Chip Support Library

#include "dsk6713.h"
#include "dsk6713_aic23.h" // board, mcbsp, and codec init


//******************************* M A I N ( ) ********************************
int main()
{ 
  int sample_l, sample_r;
  DSK6713_AIC23_CodecHandle hCodec;
  DSK6713_AIC23_Config codec_conf = DSK6713_AIC23_CONF_32K; // Codec configuration
  
  
  CSL_init();
  DSK6713_init(); // initialize the board
  hCodec = DSK6713_AIC23_openCodec(0, &codec_conf); // init mcbsp and codec
  
      
  while(1)  
  {
     while(!DSK6713_AIC23_read( hCodec, (Uint32 *)&sample_l)); // read left sample from codec
     while(!DSK6713_AIC23_read( hCodec, (Uint32 *)&sample_r)); // read right sample from codec
     
     sample_l = processing_l( sample_l);
     sample_r = processing_r( sample_r);
     
     while(!DSK6713_AIC23_write( hCodec, sample_l)); // write left sample to codec
     while(!DSK6713_AIC23_write( hCodec, sample_r)); // write right sample to codec
  }  
}
